%define name    eboard
%define version 0.8.0
%define release 1mdk
%define summary FICS chess-server interface

Summary:        %summary
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          Games/Boards
URL:            http://eboard.sf.net
Source0:        %name-%version.tar.bz2
Source1:        %name-icons.tar.bz2
Source2:	%name-extras-1pl2.tar.bz2
BuildRoot:      %_tmppath/%name-buildroot
Buildrequires:  libgtk+1.2-devel
Requires:       libgtk+1.2


%description

eboard is a chess interface for Unix-like systems (GNU/Linux, FreeBSD,
Solaris, etc.) based on the GTK+ GUI toolkit.  It provides a chess board
interface to ICS (Internet Chess Servers) like FICS and to chess engines
like GNU Chess, Sjeng and Crafty.

eboard is under development, and its primary purpose is serving as
interface to FICS.


%prep
%__rm -rf %buildroot/

%setup -q           
#-n eboard-0.7.1pl1
%setup -q -T -D -a1 
#-n eboard-0.7.1pl1
%setup -q -T -D -a2 
#-n eboard-0.7.1pl1

%__perl -pi -e "s/it_IT/it/" configure
%__mv po/it_IT.po po/it.po
%__mv po/it_IT.gmo po/it.gmo


%build
%configure
%make

%install
%makeinstall

# Menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="Amusement/Boards" \
title="Eboard" \
longtitle="%summary"
EOF

# Icons
%__install -D -m 644 %name-48x48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %name-32x32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %name-16x16.png %buildroot/%_miconsdir/%name.png

# extras
%__cp %name-extras-1pl2/*.{png,wav} %buildroot/%_datadir/%name

%find_lang %name


%post
%update_menus

%postun
%clean_menus


%clean
%__rm -rf %buildroot


%files -f %name.lang
%defattr(0755,root,root,0755)
%_bindir/*
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING README ChangeLog TODO Documentation/*
%_datadir/%name/*
%_mandir/man1/*
%_mandir/man6/*
%_menudir/*
%_iconsdir/*


%changelog
* Thu Feb 20 2003 Han Boetes <han@linux-mandrake.com> 0.8.0-1mdk
- Bump to new release

* Wed Feb  5 2003 Han Boetes <han@linux-mandrake.com> 0.7.1-0.pl2mdk
- Removed timeseal again.
- Clean-ups.
- Added extras.

* Thu Jan 23 2003 Han Boetes <han@linux-mandrake.com> 0.7.1-0.pl1mdk
- Just a prerelease. See what happens.

* Sun Jan 12 2003 Han Boetes <han@linux-mandrake.com> 0.7.0-2mdk
- Added FICS timeseal

* Thu Dec 26 2002 Han Boetes <han@linux-mandrake.com> 0.7.0-1mdk
- Initial release for mandrake
